{
  "schema_version": "1.4.0",
  "id": "GHSA-xqj5-jf43-pwhr",
  "modified": "2025-04-11T03:33:20Z",
  "published": "2022-05-02T06:16:00Z",
  "aliases": [
    "CVE-2010-0843"
  ],
  "details": "Unspecified vulnerability in the Sound component in Oracle Java SE and Java for Business 6 Update 18, 5.0 Update 23, 1.4.2_25, and 1.3.1_27 allows remote attackers to affect confidentiality, integrity, and availability via unknown vectors.  NOTE: the previous information was obtained from the March 2010 CPU.  Oracle has not commented on claims from a reliable researcher that this is related to XNewPtr and improper handling of an integer parameter when allocating heap memory in the com.sun.media.sound libraries, which allows remote attackers to execute arbitrary code.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-0843"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A14092"
    },
    {
      "type": "WEB",
      "url": "http://itrc.hp.com/service/cki/docDisplay.do?docId=emr_na-c02273751"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2010//May/msg00001.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2010//May/msg00002.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2010-04/msg00001.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2010-09/msg00006.html"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=bugtraq&m=127557596201693&w=2"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=bugtraq&m=134254866602253&w=2"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/63492"
    },
    {
      "type": "WEB",
      "url": "http://seclists.org/bugtraq/2010/Apr/41"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/39317"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/39659"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/39819"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/40211"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/40545"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/43308"
    },
    {
      "type": "WEB",
      "url": "http://support.apple.com/kb/HT4170"
    },
    {
      "type": "WEB",
      "url": "http://support.apple.com/kb/HT4171"
    },
    {
      "type": "WEB",
      "url": "http://www.oracle.com/technetwork/topics/security/cpuoct2010-175626.html"
    },
    {
      "type": "WEB",
      "url": "http://www.oracle.com/technetwork/topics/security/javacpumar2010-083341.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2010-0337.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2010-0338.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2010-0383.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2010-0471.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2010-0489.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/516397/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/39083"
    },
    {
      "type": "WEB",
      "url": "http://www.vmware.com/security/advisories/VMSA-2011-0003.html"
    },
    {
      "type": "WEB",
      "url": "http://www.vmware.com/support/vsphere4/doc/vsp_vc41_u1_rel_notes.html"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/1191"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/1454"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/1523"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/1793"
    },
    {
      "type": "WEB",
      "url": "http://www.zerodayinitiative.com/advisories/ZDI-10-052"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-04-01T16:30:00Z"
  }
}